﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2022C: (1 year) VER VISA /5800A+1Ch
DATE:                  2010-12-17 09:14:03
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       219
CONFIGURATION:         Fluke 5800A
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY, ZY
# 
#  Models covered:
#        TDS 2022C
# 
#  Source(s):
#        TDS1000B and TDS2000B Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1828-00
# 
#  Compatibility:
#        MET/CAL or 5500/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS1000B/2000B VER Required Equipment /5800
#        Sub Tek TDS1000B/2000B USB Remote Interface Connection
#        Sub Tek TDS1000B/2000B Specifications
#        Sub Tek TDS1000B/2000B Self-Test VISA
#        Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
#        Sub Tek TDS1000B/2000B Select Channel VISA
#        Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
#        Sub Tek TDS1000B/2000B (1 yr) DCV Meas VISA /5800
#        Sub Tek TDS1000B/2000B (1 yr) Bandwidth VISA /5800
#        Sub Tek TDS1000B/2000B (1 yr) Trig Sens VISA /5800
#        Sub Tek TDS1000B/2000B (1 yr) ExTrig Sens VISA /5800
#        Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /5800
#        Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /5800
#        Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000B/2000B VER Required Equipment /5800"
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  26 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5800         200MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning

  1.011  HEAD         PRELIMINARY INSTRUCTIONS
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Verification Method (No NTHROW)

  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         10 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  HEAD         COMMUNICATION SETUP
  1.016  TARGET
  1.017  CALL         Sub Tek TDS1000B/2000B USB Remote Interface Connection
  1.018  VISA         *RST

  1.019  HEAD         UUT IDENTIFICATION
  1.020  CALL         Sub IEEE-488.2 Identification Query VISA
  1.021  MATH         @UUT_Model = "TDS 2022C"
  1.022  MATH         @UUT_Manufacturer = "Tektronix"
  1.023  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.024  JMPL         END                          @Abort

  1.025  CALL         Sub Tek TDS1000B/2000B Specifications

# Specify whether the calibrator have multi channels during test in order
# to decide proper connection instruction be taken in the sub procedures.
  1.026  MATH         @SourceMultiCh = 0

  1.027  HEAD         EQUIPMENT REQUIREMENTS
  1.028  OPBR         -z Do you want to REVIEW the list of additional
  1.028  OPBR         equipment and/or accessories required?

  1.029  IF           MEM1
  1.030  CALL         Sub Tek TDS1000B/2000B VER Required Equipment /5800
  1.031  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           VERTICAL POSITION ACC(CH1)
#    5.   BANDWIDTH(CH1)                     DCV MEASUREMENT ACC(CH2)
#    6.   BANDWIDTH(CH2)                     VERTICAL POSITION ACC(CH2)
#    7.   EDGE-TRIGGER SENSITIVITY(CH1)      BANDWIDTH(CH1)
#    8.   EDGE-TRIGGER SENSITIVITY(CH2)      EDGE-TRIGGER SENSITIVITY(CH1)
#    9.   EXT EDGE-TRIGGER SENSITIVITY(CH1)  SAMPLE RATE AND DELAY TIME ACC
#   10.   EXT EDGE-TRIGGER SENSITIVITY(CH2)  BANDWIDTH(CH2)
#   11.   SAMPLE RATE AND DELAY TIME ACC     EDGE-TRIGGER SENSITIVITY(CH2)
#   12.   VERTICAL POSITION ACC(CH1)         EXT EDGE-TRIGGER SENSITIVITY(CH1)
#   13.   VERTICAL POSITION ACC(CH2)         EXT EDGE-TRIGGER SENSITIVITY(CH2)

  1.032  CALL         Sub Tek TDS1000B/2000B Self-Test VISA
  1.033  JMPL         END                          @Abort
  1.034  CALL         Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
  1.035  JMPL         END                          @Abort

  1.036  MATH         @Chan = 1
  1.037  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /5800
  1.038  JMPL         VERTICAL_POSITION_CH1

  1.039  LABEL        DCV_CH2
  1.040  MATH         @Chan = 2
  1.041  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /5800
  1.042  JMPL         VERTICAL_POSITION_CH2

  1.043  LABEL        BANDWIDTH_CH1
  1.044  MATH         @Chan = 1
  1.045  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /5800
  1.046  JMPL         TRIG_CH1

  1.047  LABEL        BANDWIDTH_CH2
  1.048  MATH         @Chan = 2
  1.049  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /5800
  1.050  JMPL         TRIG_CH2

  1.051  LABEL        TRIG_CH1
  1.052  MATH         @Chan = 1
  1.053  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /5800
  1.054  JMPL         SAMPLE_RATE_DELAY_TIME

  1.055  LABEL        TRIG_CH2
  1.056  MATH         @Chan = 2
  1.057  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /5800

  1.058  MATH         @Chan = 1
  1.059  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig Sens VISA /5800

  1.060  MATH         @Chan = 2
  1.061  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig Sens VISA /5800
  1.062  JMPL         END

  1.063  LABEL        SAMPLE_RATE_DELAY_TIME
  1.064  MATH         @Chan = 1
  1.065  CALL         Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /5800
  1.066  JMPL         BANDWIDTH_CH2

  1.067  LABEL        VERTICAL_POSITION_CH1
  1.068  MATH         @Chan = 1
  1.069  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /5800
  1.070  JMPL         DCV_CH2

  1.071  LABEL        VERTICAL_POSITION_CH2
  1.072  MATH         @Chan = 2
  1.073  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /5800
  1.074  JMPL         BANDWIDTH_CH1

  1.075  LABEL        END

  1.076  IF           @Abort
  1.077  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.078  ELSE
  1.079  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.080  ENDIF

  1.081  VISA         *RST
  1.082  END

